Subject: bug#55465: closed (Re: bug#55465: [PATCH 0/5] Update profanity and libstrophe)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Jun 2022 21:03:02 +0000

Your bug report

#55465: [PATCH 0/5] Update profanity and libstrophe

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55465: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55465
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55465: [PATCH 0/5] Update profanity and libstrophe
From: Ludovic Courtès <[email-masked]>
To: Jack Hill <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Jun 2022 23:02:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jack Hill <[email-masked]> skribis:

> This version of profanity uses libstrophe instead of profanity's fork of
> libstrophe, libmesode. There are no other uses of libmesode, so I've
> removed that package.

Makes sense.

> The URL of profanity's tarballs has changed, so I updated the source
> record. However, unfortunately, `guix refresh` is now no longer able
> to check for updates. Using tarballs for profanity (as opposed to git
> checkouts) is nice because profanity publishes checksums on their
> website.

I’ve added a ‘release-monitoring-url’ property to watch its home page.

> Profanity could use gtk+-3 instead of gtk+-2, but since profanity
> might be used places were the rust dependency of gtk+-3 is not
> appropriate, I've left it at version 2 for now.

It’s fine to use GTK+ 3.x: it’ll use librsvg 2.40 (in C) rather than the
Rust one on other architectures.  (GTK 4 is a problem though.)

>   gnu: libstrophe: Update to 0.12.0.
>   gnu: libstrophe: Improve package definition.
>   gnu: profanity: Update to 0.12.1.
>   gnu: libmesode: Remove package.
>   gnu: profanity: Remove input labels.

Applied, thanks!

Ludo’.

Subject: [PATCH 0/5] Update profanity and libstrophe
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Mon, 16 May 2022 17:43:51 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

This patch series updates the console XMPP client profanity and XMPP 
library libstrophe to their latest versions. I tested by building on 
x86_64 Linux and used the new profanity to read some XMPP conversations.

Some things to note:

This version of profanity uses libstrophe instead of profanity's fork of
libstrophe, libmesode. There are no other uses of libmesode, so I've 
removed that package.

The URL of profanity's tarballs has changed, so I updated the source 
record. However, unfortunately, `guix refresh` is now no longer able to 
check for updates. Using tarballs for profanity (as opposed to git 
checkouts) is nice because profanity publishes checksums on their website.

Profanity could use gtk+-3 instead of gtk+-2, but since profanity might be 
used places were the rust dependency of gtk+-3 is not appropriate, I've 
left it at version 2 for now.

Best,
Jack

---
Jack Hill (5):
   gnu: libstrophe: Update to 0.12.0.
   gnu: libstrophe: Improve package definition.
   gnu: profanity: Update to 0.12.1.
   gnu: libmesode: Remove package.
   gnu: profanity: Remove input labels.

  gnu/packages/messaging.scm | 91 +++++++++++++-------------------------
  1 file changed, 31 insertions(+), 60 deletions(-)

-- 
2.36.0